Skip to main content
`Ctrl`+`K`

# TaoSetApplicationContext

Sets the optional user-defined context for a `Tao` solver.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetApplicationContext(Tao tao, void *usrP)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- usrP - optional user context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoGetApplicationContext()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages